Bug 146967 - FILEEDIT ODT Crash: Redo of tracked table row moving
Summary: FILEEDIT ODT Crash: Redo of tracked table row moving
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.1
Keywords: bibisected, filter:odt, regression
Depends on:
Blocks: Track-Changes-Table
  Show dependency treegraph
 
Reported: 2022-01-24 12:53 UTC by NISZ LibreOffice Team
Modified: 2022-02-09 08:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Writer with a table (10.14 KB, application/vnd.oasis.opendocument.text)
2022-01-24 12:54 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2022-01-24 12:53:25 UTC
Description:
After the  table row moving with change tracking, click on Undo and Redo. LibreOffice crashes 

Steps to Reproduce:
    1. Open attached file
    2. Move rows
    3. Undo
    4. Redo
    4. Redo

Actual Results:
Writer crash

Expected Results:
It should no crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: bf883027ee62ece0844730572305094f53daa521
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Bibisected: dbc82c02eb24ec1c97c6ee32069771d8deb394f9
"tdf#143358 (https://bugs.documentfoundation.org/show_bug.cgi?id=143358) sw: track insertion of empty table rows
Comment 1 NISZ LibreOffice Team 2022-01-24 12:54:28 UTC
Created attachment 177755 [details]
Example file from Writer with a table
Comment 2 Xisco Faulí 2022-01-24 13:11:41 UTC
What do you mean by 'move rows' ?
Comment 3 László Németh 2022-01-24 13:50:19 UTC
(In reply to Xisco Faulí from comment #2)
> What do you mean by 'move rows' ?

Click on the left border of the first table row for selection, and drag the selected row into the last one. The row inserted (now as a nested table instead of a row) before the last row.
Comment 4 Commit Notification 2022-01-25 11:19:39 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5e8aa259e48d5602b932353bb146ebb523982cf2

tdf#146967 sw table: fix freezing in Hide Changes mode

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-01-25 15:16:02 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/e16d7e193313d2e479aed3536f564649313eff5e

tdf#146967 sw table: fix freezing in Hide Changes mode

It will be available in 7.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 NISZ LibreOffice Team 2022-02-09 08:47:17 UTC
VErified in:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 5c138ac6a8334825ef171ac6291b66b277eb4288
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL